from .iso_dict import iso_dict

class IsoKeyError(Exception):

    def __init__(self, invalid_code, message="not in iso_dict.py"):
    
        self.invalid_code = invalid_code
        self.message = message
        super().__init__(self.message)

    def __str__(self):

        return f"'{self.invalid_code}' {self.message}"


class InvalidWidthError(Exception):
    
    def __init__(self, invalid_width, message="not in valid widths: [20,40,80,160,320,640,1280,2560]"):
    
        self.invalid_code = invalid_width
        self.message = message
        super().__init__(self.message)

    def __str__(self):

        return f"{self.invalid_code} {self.message}"


class GetFlag:

    def __init__(self):
        
        self.iso_dict = iso_dict
    
    def png_src(self, iso_code, width=1280): # default width is 1280 pixels

        if iso_code not in self.iso_dict:

            raise IsoKeyError(iso_code)

        elif width not in [20,40,80,160,320,640,1280,2560]:

            raise InvalidWidthError(width)

        else:

            return "https://flagcdn.com/w{}/{}.png".format(width,iso_code)
            #               can also be w2560 or any other valid width
        