# <iso code>: [<Common names for region>]

iso_dict = {
    "ad": ["Andorra"],
    "ae": ["United Arab Emirates","UAE"],
    "af": ["Afghanistan"],
    "ag": ["Antigua and Barbuda"],
    "al": ["Albania"],
    "am": ["Armenia"],
    "ao": ["Angola"],
    "ar": ["Argentina"],
    "at": ["Austria"],
    "au": ["Australia"],
    "az": ["Azerbaijan"],
    "ba": ["Bosnia and Herzegovina"],
    "bb": ["Barbados"],
    "bd": ["Bangladesh"],
    "be": ["Belgium"],
    "bf": ["Burkina Faso"],
    "bg": ["Bulgaria"],
    "bh": ["Bahrain"],
    "bi": ["Burundi"],
    "bj": ["Benin"],
    "bn": ["Brunei"],
    "bo": ["Bolivia"],
    "br": ["Brazil"],
    "bs": ["Bahamas"],
    "bt": ["Bhutan"],
    "bw": ["Botswana"],
    "by": ["Belarus"],
    "bz": ["Belize"],
    "ca": ["Canada"],
    "cd": ["Democratic Republic of the Congo","DR Congo","DRC"],
    "cf": ["Central African Republic","CAR","African Republic"],
    "cg": ["Republic of the Congo","Congo","Congo Republic"],
    "ch": ["Switzerland"],
    "ci": ["Côte d'Ivoire (Ivory Coast)","Côte d'Ivoire","Cote Ivoire","Cote d'Ivoire","Ivory Coast"],
    "cl": ["Chile"],
    "cm": ["Cameroon"],
    "cn": ["China","PRC"],
    "co": ["Colombia"],
    "cr": ["Costa Rica"],
    "cu": ["Cuba"],
    "cv": ["Cape Verde"],
    "cy": ["Cyprus"],
    "cz": ["Czechia"],
    "de": ["Germany"],
    "dj": ["Djibouti"],
    "dk": ["Denmark"],
    "dm": ["Dominica"],
    "do": ["Dominican Republic"],
    "dz": ["Algeria"],
    "ec": ["Ecuador"],
    "ee": ["Estonia"],
    "eg": ["Egypt"],
    "er": ["Eritrea"],
    "es": ["Spain"],
    "et": ["Ethiopia"],
    "fi": ["Finland"],
    "fj": ["Fiji"],
    "fm": ["Micronesia"],
    "fr": ["France"],
    "ga": ["Gabon"],
    "gb": ["United Kingdom","UK"],
    "gd": ["Grenada"],
    "ge": ["Georgia"],
    "gh": ["Ghana"],
    "gm": ["Gambia"],
    "gn": ["Guinea"],
    "gq": ["Equatorial Guinea"],
    "gr": ["Greece"],
    "gt": ["Guatemala"],
    "gw": ["Guinea-Bissau"],
    "gy": ["Guyana"],
    "hn": ["Honduras"],
    "hr": ["Croatia"],
    "ht": ["Haiti"],
    "hu": ["Hungary"],
    "id": ["Indonesia"],
    "ie": ["Ireland"],
    "il": ["Israel"],
    "in": ["India"],
    "iq": ["Iraq"],
    "ir": ["Iran"],
    "is": ["Iceland"],
    "it": ["Italy"],
    "jm": ["Jamaica"],
    "jo": ["Jordan"],
    "jp": ["Japan"],
    "ke": ["Kenya"],
    "kg": ["Kyrgyzstan"],
    "kh": ["Cambodia"],
    "ki": ["Kiribati"],
    "km": ["Comoros"],
    "kn": ["Saint Kitts and Nevis","St Kitts and Nevis","St. Kitts and Nevis"],
    "kp": ["North Korea","DPRK"],
    "kr": ["South Korea","ROK"],
    "kw": ["Kuwait"],
    "kz": ["Kazakhstan"],
    "la": ["Laos"],
    "lb": ["Lebanon"],
    "lc": ["Saint Lucia","St Lucia","St. Lucia"],
    "li": ["Liechtenstein"],
    "lk": ["Sri Lanka"],
    "lr": ["Liberia"],
    "ls": ["Lesotho"],
    "lt": ["Lithuania"],
    "lu": ["Luxembourg"],
    "lv": ["Latvia"],
    "ly": ["Libya"],
    "ma": ["Morocco"],
    "mc": ["Monaco"],
    "md": ["Moldova"],
    "me": ["Montenegro"],
    "mg": ["Madagascar"],
    "mh": ["Marshall Islands"],
    "mk": ["North Macedonia"],
    "ml": ["Mali"],
    "mm": ["Myanmar"],
    "mn": ["Mongolia"],
    "mr": ["Mauritania"],
    "mt": ["Malta"],
    "mu": ["Mauritius"],
    "mv": ["Maldives"],
    "mw": ["Malawi"],
    "mx": ["Mexico"],
    "my": ["Malaysia"],
    "mz": ["Mozambique"],
    "na": ["Namibia"],
    "ne": ["Niger"],
    "ng": ["Nigeria"],
    "ni": ["Nicaragua"],
    "nl": ["Netherlands"],
    "no": ["Norway"],
    "np": ["Nepal"],
    "nr": ["Nauru"],
    "nz": ["New Zealand"],
    "om": ["Oman"],
    "pa": ["Panama"],
    "pe": ["Peru"],
    "pg": ["Papua New Guinea"],
    "ph": ["Philippines"],
    "pk": ["Pakistan"],
    "pl": ["Poland"],
    "ps": ["Palestine"],
    "pt": ["Portugal"],
    "pw": ["Palau"],
    "py": ["Paraguay"],
    "qa": ["Qatar"],
    "ro": ["Romania"],
    "rs": ["Serbia"],
    "ru": ["Russia"],
    "rw": ["Rwanda"],
    "sa": ["Saudi Arabia"],
    "sb": ["Solomon Islands"],
    "sc": ["Seychelles"],
    "sd": ["Sudan"],
    "se": ["Sweden"],
    "sg": ["Singapore"],
    "si": ["Slovenia"],
    "sk": ["Slovakia"],
    "sl": ["Sierra Leone"],
    "sm": ["San Marino"],
    "sn": ["Senegal"],
    "so": ["Somalia"],
    "sr": ["Suriname"],
    "ss": ["South Sudan"],
    "st": ["São Tomé and Príncipe","Sao Tome and Principe"],
    "sv": ["El Salvador"],
    "sy": ["Syria"],
    "sz": ["Eswatini (Swaziland)","Eswatini","Swaziland"],
    "td": ["Chad"],
    "tg": ["Togo"],
    "th": ["Thailand"],
    "tj": ["Tajikistan"],
    "tl": ["Timor-Leste"],
    "tm": ["Turkmenistan"],
    "tn": ["Tunisia"],
    "to": ["Tonga"],
    "tr": ["Turkey"],
    "tt": ["Trinidad and Tobago"],
    "tv": ["Tuvalu"],
    "tw": ["Taiwan","ROC"], # -10000000 social credit lol
    "tz": ["Tanzania"],
    "ua": ["Ukraine"],
    "ug": ["Uganda"],
    "us": ["United States","US","America","Murica","'Murica"],
    "uy": ["Uruguay"],
    "uz": ["Uzbekistan"],
    "va": ["Vatican City (Holy See)","Vatican City","Holy See","Pope Land"],
    "vc": ["Saint Vincent and the Grenadines","Saint Vincent and Grenadines","St Vincent and the Grenadines","St. Vincent and the Grenadines","St Vincent and Grenadines","St. Vincent and Grenadines"],
    "ve": ["Venezuela"],
    "vn": ["Vietnam"],
    "vu": ["Vanuatu"],
    "xk": ["Kosovo"],
    "ws": ["Samoa"],
    "ye": ["Yemen"],
    "za": ["South Africa"],
    "zm": ["Zambia"],
    "zw": ["Zimbabwe"]
}
